Knowledge Base

Detailed WordPress requirements

The minimal WordPress server requirements are listed below:

 

PHP 5.6.x or above - http://php.net

MySQL 5.6 or above - http://mysql.org

The mod_rewrite Apache module

HTTPS support

 

You can find more comprehensive information about this in the official WordPress documentation page.

 

Site Creator servers are fully optimized to meet all WordPress requirements and to provide the best hosting environment for it.